package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 轮播图VO
 */
@Data
public class CarouselImageConfigVO implements Serializable {

    private static final long serialVersionUID = -5616770476661134447L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 图片主题
     */
    private String imageTheme;

    /**
     * 图片
     */
    private String image;

    /**
     * 序号
     */
    private Integer sortNo;

    /**
     * 是否启用：0-停用，1-启用
     */
    private Integer enableFlag;

    /**
     * 创建时间
     */
    private Date createdTime;


}
