package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 大屏设备统计子类
 */
@Data
public class DeviceStatisticsSubVO implements Serializable {

    private static final long serialVersionUID = -8015476506632502263L;

    /**
     * 设备类型
     */
    private String type;

    /**
     * 在线数量
     */
    private Integer onlineNum;

    /**
     * 离线数量
     */
    private Integer offlineNum;

    /**
     * 总数量
     */
    private Integer totalNum;

    /**
     * 在线率
     */
    private String onlineRate;
}
