package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 历史火情统计信息VO
 */
@Data
public class FireReportStatisticsVO implements Serializable {

    private static final long serialVersionUID = -5474081569984902993L;

    /**
     * 总的火灾数量
     */
    private Integer totalNum;

    /**
     * 一般火灾数量
     */
    private Integer generalFireNum;

    /**
     * 较大火灾
     */
    private Integer majorFireNum;

    /**
     * 重大火灾
     */
    private Integer seriousFireNum;

    /**
     * 特别重大火灾
     */
    private Integer especiallySeriousFireNum;
}
