package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.util.Date;

/**
 * 物资信息
 */
@Data
public class MaterialVO {

    /**
     * 物资ID
     */
    private Long materialId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 编号
     */
    private String serialNumber;

    /**
     * 物资名称
     */
    private String materialName;

    /**
     * 型号
     */
    private String model;

    /**
     * 单位
     */
    private String unit;

    /**
     * 库存
     */
    private String stock;

    /**
     * 物资类型
     */
    private Integer materialType;

    /**
     * 照片
     */
    private String photo;

    /**
     * 描述
     */
    private String description;

    /**
     * 删除标志
     */
    private Integer delFlag;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 仓库林场id
     */
    private Long regionId;
}
