package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

@Data
public class RoadInfoVO {
    private static final long serialVersionUID = 7787371089658488280L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 特征类型：陡坡、急转弯等
     */
    private String featureType;

    /**
     * 排序
     */
    private Integer sortNo;

    /**
     * 特征值
     */
    private String featureValue;

    /**
     * 归属地区id
     */
    private Long belongingRegionId;

    /**
     * 归属地区名称
     */
    private String belongingRegionName;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 宽度
     */
    private String width;

    /**
     * 点位图片，多张以英文逗号分隔
     */
    private String roadPicture;

    /**
     * 备注信息
     */
    private String remark;


}
