package com.tcctyn.iot.forestfire.VO;

import com.tcctyn.iot.forestfire.BO.PointInfoBO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 排班信息
 */
@Data
public class ScheduleVO {

    private Long scheduleId;

    //计划id
    private Long planId;

    //计划名称
    private String planName;

    private Long userId;

    private String userName;

    private Long shiftId;

    private String shiftName;

    //路线id
    private Long pathId;

    //路线名称
    private String pathName;

    //星期几
    private Integer dayOfWeek;

    //日期
    private Date dateOfWeek;

    //状态
    private Integer status;

    //是否调班
    private Integer swapFlag;

    private String description;

    //今日打卡次数
    private Integer checkTimes;

    //今日总共需要打卡次数
    private Integer totalTimes;

    /**
     * 巡护进度
     */
    private String patrolRate;

    /** 巡护路径下的点位信息 */
    private List<PointInfoBO> pointInfoBOList;

}
