package com.tcctyn.iot.forestfire.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctyn.iot.forestfire.domain.TemporaryTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 临时任务表 Mapper 接口
 * </p>
 *
 * @author 代超
 * @since 2024-11-01
 */
public interface TemporaryTaskMapper extends BaseMapper<TemporaryTask> {

    /**
     * 临时任务批量归档
     *
     * @param idList
     * @return
     */
    Integer archiveBatch(@Param("idList") List<Long> idList);
}
