package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tcctyn.iot.forestfire.searcher.hk.HkStoreListSearcher;
import com.tcctyn.iot.forestfire.VO.HkStoreCapturePicturesVO;
import com.tcctyn.iot.forestfire.domain.HkStoreCapturePictures;

import java.util.List;

/**
* @author 13768238378
* @description 针对表【hk_store_capture_pictures(海康_硬件抓拍图片元数据表)】的数据库操作Service
* @createDate 2025-04-10 11:17:50
*/
public interface IHkStoreCapturePicturesService  extends IService<HkStoreCapturePictures> {

    List<HkStoreCapturePicturesVO> getListHkStoreCapturePicturesList(HkStoreListSearcher hkStoreListSearcher);
}
