package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.domain.ScheduleSwap;

/**
 * <p>
 * 调班记录 服务类
 * </p>
 *
 * @author liuzh
 * @since 2024-10-19
 */
public interface IScheduleSwapService{
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<ScheduleSwap> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    ScheduleSwap getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param scheduleSwap
    * @return
    */
    Integer create(ScheduleSwap scheduleSwap);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param scheduleSwap
    * @return
    */
    Integer update(ScheduleSwap scheduleSwap);
}
