package com.tcctyn.iot.forestfire.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctyn.iot.forestfire.domain.RoadInfo;
import com.tcctyn.iot.forestfire.mapper.RoadInfoMapper;
import com.tcctyn.iot.forestfire.mapper.RoadMapper;
import com.tcctyn.iot.forestfire.service.IRoadInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 林间道路详细信息表 服务实现类
 * </p>
 *
 * @author jason
 * @since 2025-03-11
 */
@Service
public class RoadInfoServiceImpl extends ServiceImpl<RoadInfoMapper, RoadInfo> implements IRoadInfoService {

    @Resource
    private RoadMapper roadMapper;

    @Resource
    private RoadInfoMapper roadInfoMapper;


    @Override
    public Integer create(RoadInfo roadInfo) {
        return roadInfoMapper.insert(roadInfo);
    }
}
