package com.tcctyn.common.core.web.domain.model;

import lombok.Data;

import java.io.Serializable;

/**
 * 数据字典展示实体类
 */
@Data
public class DictDataVO implements Serializable {

    private static final long serialVersionUID = -9073442421377041774L;

    public DictDataVO(Long dictSort, String dictLabel, String dictValue) {
        this.dictSort = dictSort;
        this.dictLabel = dictLabel;
        this.dictValue = dictValue;
    }

    /**
     * 字典排序
     */
    private Long dictSort;

    /**
     * 字典标签
     */
    private String dictLabel;

    /**
     * 字典键值
     */
    private String dictValue;

}
