package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 火情预警周边分析VO
 */

@Data
public class FireWarningSurroundingVO implements Serializable {

    private static final long serialVersionUID = -1610177596913751767L;

    /**
     * 负责单位，可以是人，也可以是企业
     */
    private String belongingUnit;

    /**
     * 负责单位联系电话
     */
    private String unitTel;

    /**
     * 护林员信息
     */
    private List<SurroundingPersonVO> personVOList;

    /**
     * 仓库信息
     */
    private List<SurroundingWareHouseVO> wareHouseVOList;

    /**
     * 水源地信息
     */
    private List<SurroundingWaterSourceVO> waterSourceVOList;

}
