package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 通知公告VO
 */
@Data
public class NoticeInfoVO implements Serializable {

    private static final long serialVersionUID = -4931397249912148775L;


    /**
     * 主键id
     */
    private Long id;

    /**
     * 类型：通知、公告
     */
    private String type;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 文件
     */
    private String file;

    /**
     * 序号
     */
    private Integer sortNo;

    /**
     * 是否启用：0-停用，1-启用
     */
    private Integer enableFlag;

    /**
     * 记录创建时间，默认用服务器时间
     */
    private Date createdTime;

}
