package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 护林员及巡护点统计信息
 */
@Data
public class RangerStatisticsVO implements Serializable {

    private static final long serialVersionUID = 7250371270471160395L;

    /**
     * 排班人员数量
     */
    private Integer schedulingNum = 0;

    /**
     * 打卡人员数量
     */
    private Integer checkInNum = 0;

    /**
     * 当日排班下的所有巡护点位数量，根据巡护路径进行统计
     */
    private Integer patrolPointNum = 0;

    /**
     * 已打卡点位数量
     */
    private Integer checkInPointNum = 0;
}
