package com.tcctyn.iot.forestfire.VO;

import com.tcctyn.iot.forestfire.BO.PointInfoBO;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class ScheduleDetailInfoVO implements Serializable {

    private static final long serialVersionUID = -8695050741531564485L;
    /**
     * 排班id
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 路线ID
     */
    private Long pathId;

    /**
     * 路径名称
     */
    private String pathName;

    /**
     * 日期
     */
    private Date dateOfWeek;

    /**
     * 路径下的点位信息
     */
    private List<PointInfoBO> pointInfoBOList;
}
