package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 周边的水源地信息
 */

@Data
public class SurroundingWaterSourceVO implements Serializable {

    private static final long serialVersionUID = 1529035326670890953L;

    /**
     * 水源地id
     */
    private Long waterSourceId;

    /**
     * 水源地名称
     */
    private String waterSourceName;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;
}
