package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.util.Date;

/**
 * 仓库信息
 */
@Data
public class WarehouseVO {

    /**
     * 仓库ID
     */
    private Long warehouseId;

    /**
     * 归属区域ID
     */
    private Long regionId;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 仓库类型
     */
    private Integer warehouseType;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 地址
     */
    private String address;

    /**
     * 所属地区
     */
    private String region;

    /**
     * 照片
     */
    private String photo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 删除标志
     */
    private Integer delFlag;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 所属林区林场名称
     */
    private String regionName;
}
