package com.tcctyn.iot.forestfire.searcher.carouselimageconfig;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class CarouselImageEnableFlagRequest implements Serializable {

    private static final long serialVersionUID = -8452177654260865365L;

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空")
    private Long id;

    /**
     * 启用/停用标识，0-停用，1-启用;前端取反
     */
    @NotNull(message = "启用/停用标识不能为空")
    private Integer enableFlag;
}
