package com.tcctyn.iot.forestfire.searcher.deviceinfo;

import lombok.Data;

import java.io.Serializable;

/**
 * 查询设备归属请求体
 */
@Data
public class DeviceOwnershipSearcher implements Serializable {

    private static final long serialVersionUID = -4260683959079318663L;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;
}
