package com.tcctyn.iot.forestfire.searcher.drone;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 无人机大屏页面数据根据不同的任务状态获取
 */
@Data
public class DroneSearcher implements Serializable {

    private static final long serialVersionUID = 2308212336685255578L;

    /** 无人机任务状态：未执行、执行中、已完成 ，参看枚举 DroneTaskStatusEnum */
    private String taskStatus;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

}
