package com.tcctyn.iot.forestfire.searcher.schedules;

import com.tcctyn.iot.forestfire.searcher.BaseTimeSearcher;
import lombok.Data;

import java.util.Date;

/**
 * 调班申请查询条件
 */
@Data
public class ScheduleSwapSearcher extends BaseTimeSearcher {

    //申请人id
    private Long applicantId;

    //替换人id
    private Long replacerId;

    //调班日期
    private Date swapDate;

    //还班日期
    private Date backDate;

    //调班原因
    private String reason;

}
