package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tcctyn.iot.forestfire.domain.Road;
import com.tcctyn.iot.forestfire.searcher.road.RoadSearcher;

/**
 * <p>
 * 林间道路信息表 服务类
 * </p>
 *
 * @author jason
 * @since 2025-03-11
 */
public interface IRoadService extends IService<Road> {

    /**
     * 新增
     * @param road
     * @return
     */
    Integer create(Road road);

    /**
     * 更新
     * @param road
     * @return
     */
    Integer update(Road road);

    /**
     * 查询分页数据
     * @param roadSearcher
     * @return
     */
    Page<Road> selectPageList(RoadSearcher roadSearcher);
}
