package com.tcctyn.iot.forestfire.service;

import com.tcctyn.iot.forestfire.domain.SchedulePlan;

import java.util.List;

/**
 * <p>
 * 排班计划 服务类
 * </p>
 *
 * @author liuzh
 * @since 2024-10-16
 */
public interface ISchedulePlanService{
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param schedulePlan
    * @return
    */
    List<SchedulePlan> list(SchedulePlan schedulePlan);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    SchedulePlan getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param schedulePlan
    * @return
    */
    Integer create(SchedulePlan schedulePlan);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param schedulePlan
    * @return
    */
    Integer update(SchedulePlan schedulePlan);

    /**
     * 生成排班信息
     * @param schedulePlan
     * @return
     */
    Integer generate(SchedulePlan schedulePlan);
}
